### Enumeration

# Gck SessionOptions

since: 2

#### Declaration

    flags Gck.SessionOptions

#### Description [src]

Options for creating sessions.

Available since: 2

#### Members

`GCK_SESSION_READ_ONLY`

  Open session as read only.

  - Value: `0`
  - Nickname: `read-only`
  - Available since: 2
`GCK_SESSION_READ_WRITE`

  Open sessions as read/write.

  - Value: `2`
  - Nickname: `read-write`
  - Available since: 2
`GCK_SESSION_LOGIN_USER`

  Login as user on new sessions.

  - Value: `4`
  - Nickname: `login-user`
  - Available since: 2
`GCK_SESSION_AUTHENTICATE`

  Authenticate as necessary.

  - Value: `8`
  - Nickname: `authenticate`
  - Available since: 2